

/* m3.c -- Read and show values for the max31855. */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdint.h>

#include "max31855.h"

int main(int argc, char **argv)
{
	char info[256];
	int rdok;
	int j, vb;

	double ta, tr;
	uint8_t fault, ftype;

	vb = 0;
	for(j = 1; j<argc; j++)
	{
		if(!strcmp("-v", argv[j])) vb = 1; 
	}

	rdok = readmax31855("/dev/spidev0.0", info, 256, 
		&ta, &tr, &fault, &ftype); 

	if(rdok < 0)
	{
		fprintf(stderr, "%s(%d): %s\n", __FILE__, __LINE__, info);
		return(0);
	}

	if(fault || ftype)
	{
		fprintf(stderr, "%s(%d): Fault %d type %d\n", 
			__FILE__, __LINE__, fault, ftype);
		return(0);
	}	

	if(vb)
	{
		fprintf(stdout, "%s(%d): T=%G C Tref=%G C Fault %d type %d\n", 
				__FILE__, __LINE__, ta, tr, fault, ftype);
	}
	else
	{
		fprintf(stdout, "T=%G C\n", ta); 
	}
	
	return(0);
}






