
/* spiio.h -- multi-byte SPI. */

#ifndef SPIIOHINCLUDED
#define SPIIOHINCLUDED 1

/* Put out 16 bits in one go to the device */
int write16(int fd, uint16_t bits16);


/*       Write: RW=1 7-bit address, 8 bit data */
/* Burst write: RW=1 7-bit address, 8 bit*N data */

int writeN(int fd, uint8_t address, uint8_t *bytes, size_t bcount);


/*        Read: RW=0 7-bit address, read 8 bit data */
/* Burst  Read: RW=0 7-bit address, read 8 bit*N data */

int readN(int fd, uint8_t address, 
	uint8_t *bytes, size_t bmax, size_t *baread);


/* Set the SPI device as appropriate */
int setupspidev(int fd, uint8_t mode, char *info, size_t infomax);

/* Read 32 bits in one go from the device */
int read32(int fd, uint32_t *bits32);

#endif

